Create a new wallet
curl --request POST \
--url https://app.crown-brlv.com/api/v1/accounts/{account-id}/wallets \
--header 'Content-Type: application/json' \
--data '
{
"wallet-name": "My Trading Wallet",
"chain": "eth-base",
"metadata": {
"label": "treasury"
},
"ui-enabled": false
}
'import requests
url = "https://app.crown-brlv.com/api/v1/accounts/{account-id}/wallets"
payload = {
"wallet-name": "My Trading Wallet",
"chain": "eth-base",
"metadata": { "label": "treasury" },
"ui-enabled": False
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
'wallet-name': 'My Trading Wallet',
chain: 'eth-base',
metadata: {label: 'treasury'},
'ui-enabled': false
})
};
fetch('https://app.crown-brlv.com/api/v1/accounts/{account-id}/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"wallet": {
"address": "0x1234567890abcdef1234567890abcdef12345678",
"assets": [
"eth-base/brlv",
"eth-base/wbrly"
]
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>"
}
}Wallets
Create Wallet
Creates a new wallet with the specified name and default assets (BRLV and wBRLY if applicable).
POST
/
api
/
v1
/
accounts
/
{account-id}
/
wallets
Create a new wallet
Path Parameters
Body
application/json
Name for the new wallet
Example:
"My Trading Wallet"
Blockchain that this wallet will be supported on
Available options:
tempo, eth-mainnet, eth-base Example:
"eth-base"
Custom metadata to associate with the wallet
Show child attributes
Show child attributes
Example:
{ "label": "treasury" }
Whether this wallet should be visible in the UI (defaults to false)
Example:
false
Response
Wallet created successfully
Show child attributes
Show child attributes
⌘I